org.apache.ignite.internal.pagemem.wal.record

## Interface WalRecordCacheGroupAware

All Known Implementing Classes:
  DataPageInsertFragmentRecord, DataPageInsertRecord, DataPageMvccMarkUpdatedRecord, DataPageMvccUpdateNewTxStateHintRecord, DataPageMvccUpdateTxStateHintRecord, DataPageRemoveRecord, DataPageSetFreeListPageRecord, DataPageUpdateRecord, EncryptedRecord, FixCountRecord, FixLeftmostChildRecord, FixRemoveId, InitNewPageRecord, InnerReplaceRecord, InsertRecord, MergeRecord, MetaPageAddRootRecord, MetaPageCutRootRecord, MetaPageInitRecord, MetaPageInitRootInlineFlagsCreatedVersionRecord, MetaPageInitRootInlineRecord, MetaPageInitRootRecord, MetaPageUpdateIndexDataRecord, MetaPageUpdateLastAllocatedIndex, MetaPageUpdateLastSuccessfulFullSnapshotId, MetaPageUpdateLastSuccessfulSnapshotId, MetaPageUpdateNextSnapshotId, MetaPageUpdatePartitionDataRecord, MetaPageUpdatePartitionDataRecordV2, MetaPageUpdatePartitionDataRecordV3, MetastoreDataRecord, MvccTxRecord, NewRootInitRecord, PageDeltaRecord, PageListMetaResetCountRecord, PagesListAddPageRecord, PagesListInitNewPageRecord, PagesListRemovePageRecord, PagesListSetNextRecord, PagesListSetPreviousRecord, PageSnapshot, PartitionDestroyRecord, PartitionMetaStateRecord, RecycleRecord, RemoveRecord, ReplaceRecord, RotatedIdPartRecord, SplitExistingPageRecord, SplitForwardPageRecord, TrackingPageDeltaRecord, TrackingPageRepairDeltaRecord

    public interface WalRecordCacheGroupAware

WAL record related to specific cache group.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `groupId()`

### Method Detail

#### groupId

    int groupId()

Returns:
  Cache group ID.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021